Bug 175338 - gfortran -ff2c internal compiler error in emit_move_insn
gfortran -ff2c internal compiler error in emit_move_insn
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gcc4 (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-08 18:52 EST by David Mastronarde
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-13 09:04:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 25392 None None None Never

  None (edit)
Description David Mastronarde 2005-12-08 18:52:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Fedora/1.7.12-1.5.1

Description of problem:
gfortran -ff2c -c -o anglediff.o anglediff.f
anglediff.f: In function ‘anglediff’:
anglediff.f:4: internal compiler error: in emit_move_insn, at expr.c:3092

where anglediff.f is just:

        real*4 function angleDiff(ang1, ang2)
        real*4 ang1, ang2
        angleDiff = ang2 - ang1
        do while (angleDiff .gt. 180.)
          angleDiff = angleDiff - 360.
        enddo
        do while (angleDiff .le. -180.)
          angleDiff = angleDiff + 360.
        enddo
        return
        end


Version-Release number of selected component (if applicable):
gcc-gfortran-4.0.2-8.fc4

How reproducible:
Always

Steps to Reproduce:
1. Create file with above function
2. gfortran -ff2c -c -o anglediff.o anglediff.f
3.
  

Actual Results:  anglediff.f: In function ‘anglediff’:
anglediff.f:4: internal compiler error: in emit_move_insn, at expr.c:3092


Expected Results:  compile without error

Additional info:

This happens only with -ff2c.  Which seems not be a good option to use anyway,
but it should at least compile.
Comment 1 Jakub Jelinek 2005-12-13 09:04:28 EST
Better tracked upstream.

Note You need to log in before you can comment on or make changes to this bug.